
%define name	mms
%define version	1.1.0
%define prever	rc9
%define rel	2
%if %prever
%define release	%mkrel 0.%prever.%rel
%else
%define release	%mkrel %rel
%endif

Summary:	My Media System - PVR software
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Video
URL:		http://mms.sunsite.dk/
%if %prever
Source:		http://mms.sunsite.dk/%name-%version-%prever.tar.bz2
%else
Source:		http://mms.sunsite.dk/%name-%version.tar.bz2
%endif
Patch0:		mms-1.1.0-rc9-py2.6.patch
Patch1:		mms-no-lirc-by-default.patch
BuildRoot:	%_tmppath/%name-root
BuildRequires:	imlib2-devel
BuildRequires:	taglib-devel
BuildRequires:	sqlite-devel
BuildRequires:	em8300-devel
BuildRequires:	lirc-devel
BuildRequires:	libcommoncpp2-devel
BuildRequires:	SDL-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	libsvgalib-devel
BuildRequires:	pcre-devel
BuildRequires:	libxine-devel
BuildRequires:	libtool
BuildRequires:	libxscrnsaver-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	ncurses-devel
BuildRequires:	python-devel
BuildRequires:	gstreamer0.10-devel
BuildRequires:	libalsaplayer-devel
BuildRequires:	inotify-tools-devel
BuildRequires:	boost-devel
BuildRequires:	sqlite3-devel
Suggests:	wget eject mplayer

%description
My Media System is an application that manages, displays and plays
media content such as videos, music, pictures, and more. MMS runs
perfectly on anything from a Set-Top-Box connected to your TV-Set,
to your specially tailored multimedia PC and HD display.

As the name implies, MMS is a media system with you in control. It
lets other applications such as MPlayer, VDR, or Xine take care of
what they respectively do best, and integrates them into one system,
that is easy to understand and operate. By combining their
individual strength, you get the best of all worlds, in one media
application.

%prep
%if %prever
%setup -q -n %{name}-%{version}-%{prever}
%else
%setup -q
%endif
%patch0 -p0
%patch1 -p1
# (Anssi 04/2008)
# $(MAKE): Speeds up parallel make somewhat
# -L/usr/lib: Unnecessary, sometimes breaks lib64 build
find -name Makefile -print0 | xargs -0 sed -i -e "s,make ,\$(MAKE) ," -e "s,-L/usr/lib , ,"

sed -i 's,/lib/mms,/%{_lib}/mms,g' Makefile plugins/plugin.hpp
sed -i 's,/usr/local/lib/mms/,%{_libdir}/mms/,g' cfg/WeatherConfig plugins/feature/weather/weather_config_parameters

%build

# custom configure script
./configure \
	--prefix=%{_prefix} \
	--enable-game \
	--enable-tv \
	--enable-lirc \
	--enable-evdev \
	--enable-dvb \
	--enable-opengl \
	--enable-dxr3 \
	--enable-mpeg \
	--enable-gst-audio \
	--enable-python \
	--enable-clock \
	--enable-notify-area \
	--enable-weather \
	--enable-lcd
%define Werror_cflags %nil
echo 'EXTRA_FLAGS +=%{optflags}' >> common.mak

# Too unstable with our current ffmpeg:
#	--enable-ffmpeg-thumb

# Apparently plugins depend on extra dependencies of main executable,
# this should be fixed.
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1
%make CXX="c++ %{?ldflags}"

%install
rm -rf %buildroot

%makeinstall_std PYTHON_INSTALL=%{python_sitearch} PLUGINDIR=%{_libdir}/mms/plugins

install -m755 tools/* %buildroot/%_bindir
# Shipped in mplayer
rm %buildroot/%_bindir/midentify

%find_lang %name --all-name

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc cfg doc/*
%dir %_sysconfdir/%name
%dir %_sysconfdir/%name/input
%dir %_sysconfdir/%name/input/keyboard
%dir %_sysconfdir/%name/input/lirc
%config(noreplace) %_sysconfdir/%name/*Config
%config(noreplace) %_sysconfdir/%name/input/*/*
%config(noreplace) %_sysconfdir/%name/genericplayer.ops
%config(noreplace) %_sysconfdir/%name/RadioStations
%config %_sysconfdir/%name/lircrc.example
%_sysconfdir/%name/scripts
%_sysconfdir/%name/ClockAlarms
%_bindir/%name
%_bindir/mms-audio-library
%_bindir/mms-movie-library
%_bindir/mms-pic-library
%_bindir/fetch_channels.py
%_bindir/fork-launcher.sh
%_bindir/gen_tvlisting.sh
%_bindir/alarm.sh
%_bindir/vboxtowav.sh
%_bindir/nxtvepg-to-tv-xml.sh
%dir %_libdir/%{name}
%_libdir/%name/gen_tvlisting.sh
%_libdir/%name/alarm.sh
%_libdir/%{name}/plugins
%_mandir/man1/*
%lang(de) %_mandir/de/man1/*
%_datadir/%name
%{python_sitearch}/mmsv2*.so


%changelog
* Sat Feb 21 2009 Anssi Hannula <anssi@mandriva.org> 1.1.0-0.rc9.2mdv2009.1
+ Revision: 343667
- use keyboard instead of lirc by default (P1, fixes #42686)
- disable as-needed due to broken plugins until properly fixed

* Thu Feb 05 2009 Funda Wang <fundawang@mandriva.org> 1.1.0-0.rc9.1mdv2009.1
+ Revision: 337830
- recognize py2.6
- 1.1.0 rc9

* Sat Aug 16 2008 Funda Wang <fundawang@mandriva.org> 1.1.0-0.rc8.1mdv2009.0
+ Revision: 272524
- New version 1.1.0 rc8

* Sun Aug 10 2008 Funda Wang <fundawang@mandriva.org> 1.1.0-0.rc7.1mdv2009.0
+ Revision: 270149
- fix file list
- drop option
- New version rc7
- rebuild for new directfb

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Thu Apr 17 2008 Anssi Hannula <anssi@mandriva.org> 1.1.0-0.rc5.1mdv2009.0
+ Revision: 195243
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gstreamer0.10-devel BR for x86_64

* Thu Jan 03 2008 Anssi Hannula <anssi@mandriva.org> 1.1.0-0.rc1.2mdv2008.1
+ Revision: 141688
- disable vgagl output
- do not ship midentify, it is shipped with mplayer
- 1.1.0-rc1
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0.8.5-1mdv2008.0
+ Revision: 81921
- 1.0.8.5
- change some requires to suggests and add mplayer as such

* Thu Jul 19 2007 Anssi Hannula <anssi@mandriva.org> 1.0.8.4-1mdv2008.0
+ Revision: 53643
- allow build with gcc4.2 (patch1)
- 1.0.8.4
- add URL (Colin Guthrie)

* Sun Jun 03 2007 Anssi Hannula <anssi@mandriva.org> 1.0.8.3-2mdv2008.0
+ Revision: 34970
- initial Mandriva release

